package main

type Options struct {
        generation                        int
        maxSecondsToRunWithoutImprovement float64
        maxRoundsWithoutImprovement       int
        maxGenerations                    int
        printDiagnosticInfo               bool
        numberOfConcurrentEvolvers        int
        maxProcs                          int
        numberOfSimulations               int
        populationSize                    int
        mutationChance                    float64
        turnamentWinners                  float64
        turnamentSlection                 float64
        geneScheme                        []int
        crossoverPoints                   int
        crossoverOnGenes                  bool
        statsSnapshot                     int
        nographs                          bool
        fixedLearnability                 bool
        evolveSpeech                      bool
        infiniteMemory                   bool
        dialogPrAgentPrGeneration         int
        startWeight                       float64
        notation                          string
        structure                         string
        game                              string
        culturalVarianceChance            float64
        geneLength                        int
        numberOfGenes                     int
        maxDegree                         int
        // hack
        averageLexiconWeights               float64
}
