package main

import (
//        "runtime"
)

type Snapshot struct {
    structure        string
    lattice          [][]*Agent
    generation       int
    agentsAlive       []*Agent
    relations        map[AgentPair]float64
}

func NewSnapshot(structure string) *Snapshot {
    return &Snapshot{structure: structure}
}

func (s *Snapshot) AddGeneration(generation int) {
    s.generation = generation
}

func (s *Snapshot) AddLatticeData(lattice [][]*Agent) {
    s.lattice = lattice
}

func (s *Snapshot) AddGraphData(agentsAlive[]*Agent, relations map[AgentPair]float64) {
    s.relations = relations
    s.agentsAlive = agentsAlive
}


