package main

import (
        "fmt"
//        "runtime"
        "os"
)

type Tester struct {
}

func NewTester() *Tester {
    return &Tester{}
}

func Fail(msg string) {
    fmt.Println(msg)
    os.Exit(1)
}

func (t *Tester) Run() {
    Log("Running tester")
    // testing genetics
    genomeLength := GlobalOptions.numberOfGenes*GlobalOptions.geneLength
    g := NewGenome(genomeLength)
    //beforeMutation := g.genome
    g.Mutate()
    //if (beforeMutation == g.genome) {
    //    Fail("no mutation")
    //}
    g2 := NewGenome(genomeLength)
    g.Crossover(g2)
    if (len(g.genome) != genomeLength) {
        Fail("crossover length fail")
    }
    fmt.Println(g)
    fmt.Println(g2)
    // test graph to file
    graph := NewGraph("test", false, false)
    graph.AddX([]float64{3,4,5,6}, "test")
    graph.Save("test")
    if (FileExists("test.png") == false) {
        Fail("graph was not created, test fail")
    } else {
        if err := os.Remove("test.png"); err != nil {
            Fail("could not delete graph file")
        }
    }
}
